# parancssorban: pip install shapely
from shapely.geometry import Point, LineString, Polygon

pont_egesz = Point([3, 1])
pont_egesz # ez nem annyira hasznos
print(pont_egesz) # valos szamokkent tarolja
pont_egyszerubben = Point(3, 1)
pont_valos = Point(3.0, 1.0)
vonal_koordinatakkal = LineString([[0, 0], [1, 1]])
vonal_pontokbol = LineString([Point(0, 1), Point(4, 5)])
kezdopont = Point(2, 5)
vegpont = Point(9, -1)
vonal_vegyes = LineString([kezdopont, [2, 3], vegpont])
print(vonal_vegyes)
poligon_koordinatakkal = Polygon([[0, 0], [1, 0], [1, 1], [0, 1], [0, 0]])
poligon_vonalbol = Polygon(LineString([pont_egesz, [6, -2], [5, 7], pont_egesz]))
print(poligon_vonalbol)

# parancssorban: pip install matplotlib
from matplotlib.pyplot import plot, show

x, y = pont_egyszerubben.xy # x és y koordináták kinyerése
plot(x, y, marker = "o") # megadjuk a pontjel típusát, amúgy nem jeleníti meg
show() # felugró ablakban ábrázolja
x, y = vonal_vegyes.xy
plot(x, y)
show()
x, y = poligon_koordinatakkal.exterior.xy # poligonok esetén megadandó, hogy a külső körvonalat szeretnénk ábrázolni
plot(x, y)
show()
